import java.awt.*;
import java.awt.event.*;
import java.io.*;

class rank
{
	String name;
	String score;
}
public class puzzleHigh extends Frame implements WindowListener
{
	private BufferedReader inFile;

	public static void main(String[] args)
	{
		puzzleHigh f = new puzzleHigh();
		f.setSize(300,400);
		f.setVisible(true);
	}
	public puzzleHigh()
	{
		setLayout(new FlowLayout());
		setTitle("Hall of Fame");
		this.addWindowListener(this);
	}
	public void paint(Graphics g)
	{
		rank words[] = new rank[6];
		setBackground(Color.white);
		for(int i=0;i<6;i++)
		{
			words[i] = new rank();
		}

		try
		{
			inFile  = new BufferedReader(new FileReader("highScores.txt"));
			String line;
			String score;
			int i=0;
			//first line is score, second is name...etc.,

			while((words[i].score=inFile.readLine())!=null)
			{
				words[i].name=inFile.readLine();
				i++;
			}
			inFile.close();

		}
		catch(IOException er){}

		//sort
		for(int i=1;i<5;i++)
		{
			for(int j=0;j<5-i-1;j++)
			{
				if(words[j].score.compareTo(words[j+1].score)>0)swap(words[j],words[j+1]);
			}
		}

		g.setFont(new Font("Serif",Font.BOLD,20));
		g.drawString("Name",50,70);
		g.drawString("Turns",200,70);
		g.setFont(new Font("Serif",Font.PLAIN, 20));
		for(int i=0;i<5;i++)
		{
			g.drawString(words[i].name,50,100+30*i);
			g.drawString(words[i].score,200,100+30*i);
		}

	}
	public void swap(rank one, rank two)
	{
		rank temp=new rank();
		temp.name=one.name;
		temp.score=one.score;
		one.score=two.score;
		one.name=two.name;
		two.name=temp.name;
		two.score=temp.score;
	}
	public void windowClosing(WindowEvent e)
	{this.setVisible(false);
	}
	public void windowClosed(WindowEvent e){}
	public void windowOpened(WindowEvent e){}
	public void windowActivated(WindowEvent e){}
	public void windowDeactivated(WindowEvent e){}
	public void windowIconified(WindowEvent e){}
	public void windowDeiconified(WindowEvent e){}

}
